> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepreel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of audios generated

> List of generate audios associated with the authenticated user.



## OpenAPI

````yaml get /project/assets/user_audio/
openapi: 3.0.3
info:
  title: DeepReel API Documentation (latest)
  version: 1.0.0
  description: DeepReel API OpenApi Specification
  x-logo:
    url: /icons/deepreel-logo-main.png
servers: []
security: []
paths:
  /project/assets/user_audio/:
    get:
      tags:
        - project
      description: List of generate audios associated with the authenticated user.
      operationId: List history of generated audios
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedApiUserVoiceAudiosList'
          description: ''
      security:
        - apiKeyAuth: []
components:
  schemas:
    PaginatedApiUserVoiceAudiosList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ApiUserVoiceAudios'
    ApiUserVoiceAudios:
      type: object
      description: Allows to specify fields to be included
      properties:
        id:
          type: string
          format: uuid
          description: Unique Identifier of the Audio.
        script_plain_text:
          type: string
          description: Plain text script used to create the video.
        voice_id:
          type: string
          format: uuid
          readOnly: true
          description: Id of the voice used to generate the Audio.
        language_id:
          type: integer
          readOnly: true
          description: Id of the language used to generate the Audio.
        stability:
          type: number
          format: double
          description: Expressiveness of speaking style.
        style_exaggeration:
          type: number
          format: double
          description: Level of exaggeration of the speaking style.
        audio_download_url:
          type: string
          format: uri
      required:
        - audio_download_url
        - id
        - language_id
        - script_plain_text
        - stability
        - style_exaggeration
        - voice_id
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Your API key with the prefix: `dr_`. This is required by all endpoints
        to access our API programatically.                             You can
        view your API Key by navigating to the account settings panel (In the
        bottom left corner click on your                             `Account` →
        `profile`)

````